#! /usr/bin/env bash

if [[ $# -lt 1 ]] || ! pygmentize -L lexers | grep -qw "$1"; then
    printf "<code>"
    cat
    printf "</code>"
else
    pygmentize -l $1 -f html | head -c -13 | awk -F '<pre>' '{print $NF}'
fi